package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabFileInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-02
 */
public interface ITabFileInfoService extends IService<TabFileInfo> {


    List<TabFileInfo> getTabFileInfoList(TabFileInfo tabFileInfo);

    AjaxResult insertTabFileInfo(MultipartFile file,TabFileInfo tabFileInfo) throws Exception;

    String getFilePathById(String fileId);

    AjaxResult updateTabFileInfoById(TabFileInfo tabFileInfo);

    AjaxResult falseDeleteTabFileInfoById(Integer fileId);

}
